"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a `boolean` determining if the argument is a string.
 *
 * A value is determined to be a string if it is of primitive type `string` or
 * an instance of reference type `String`.
 *
 * @param   {any}   x
 *          The value to test.
 * @return  {boolean}
 *          `true` if the argument `x` is a string, `false` otherwise.
 *
 * @author  George Thomas
 * @since   Typeforce 1.0
 * @version 1.0
 */
function isString(x) {
    return typeof x === "string"
        || x instanceof String;
}
exports.isString = isString;
